> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Accounts

> Use this endpoint to list all accounts for a user.

If the provided `institution_id` is invalid, a `404 Not Found` error response should be returned.

If there are no accounts available for the user, an empty or self-terminating `<accounts>` element should be returned.

MX will reconcile the accounts in our system with the accounts received in the response. This reconciliation process will insert new accounts and will update existing account details. Accounts that exist in the MX system that are not received in the data feed will **not** be removed.

MX recommends partners return recently-closed accounts in the response with the `is_closed` field set to `true`. This allows MX to mark the account as closed, but to retain the account's history for the user.

## Response Fields

<ParamField body="account_number" type="string" />

<ParamField body="apr" type="decimal" />

<ParamField body="apy" type="decimal" />

<ParamField body="available_balance" type="decimal" required />

<ParamField body="available_credit" type="decimal" />

<ParamField body="balance" type="decimal" required />

<ParamField body="cash_advance_apr" type="decimal" />

<ParamField body="cash_surrender_value" type="decimal" />

<ParamField body="credit_limit" type="decimal" />

<ParamField body="currency_code" type="string" />

<ParamField body="day_payment_is_due" type="integer" />

<ParamField body="death_benefit" type="string" />

<ParamField body="has_holdings" type="boolean">
  This indicates whether the account has holdings associated with it. This field is used fo syncing holdings with MDX On Demand and is not included in models for other APIs such as MDX Real Time, Nexus, or Platform.
</ParamField>

<ParamField body="has_monthly_transfer_limit" type="boolean" />

<ParamField body="id" type="string" required />

<ParamField body="insured_name" type="string" />

<ParamField body="interest_rate" type="decimal" />

<ParamField body="is_closed" type="boolean" />

<ParamField body="is_hidden" type="boolean" />

<ParamField body="last_payment" type="decimal" />

<ParamField body="last_payment_at" type="integer" />

<ParamField body="last_payment_on" type="string" />

<ParamField body="loan_amount" type="decimal" />

<ParamField body="matures_at" type="integer" />

<ParamField body="matures_on" type="string" />

<ParamField body="metadata" type="string" />

<ParamField body="minimum_balance" type="decimal" />

<ParamField body="minimum_payment" type="decimal" />

<ParamField body="monthly_transfer_count" type="decimal" />

<ParamField body="name" type="string" required />

<ParamField body="nickname" type="string" />

<ParamField body="original_balance" type="decimal" />

<ParamField body="past_due_amount" type="decimal" />

<ParamField body="past_due_at" type="integer" />

<ParamField body="past_due_on" type="string" />

<ParamField body="payment_due_at" type="integer" />

<ParamField body="payment_due_on" type="string" />

<ParamField body="payoff_balance" type="decimal" />

<ParamField body="pay_out_amount" type="decimal" />

<ParamField body="pending_balance" type="decimal" />

<ParamField body="premium_amount" type="decimal" />

<ParamField body="routing_number" type="string" />

<ParamField body="started_at" type="integer" />

<ParamField body="started_on" type="string" />

<ParamField body="statement_balance" type="integer" />

<ParamField body="statement_closed_on" type="string" />

<ParamField body="subtype" type="string" />

<ParamField body="type" type="string" required />
